module uart_ip_tb();

	reg clk;
	reg rst_n;
	reg txd_rxd;
	wire write;
	wire rx_sig;
	reg read;
	reg [7:0] din;
	wire [7:0] dout;
	reg en;

	//----Code starts here: integrated by Robei-----
	initial begin
					clk=1'b0; rst_n=1'b0;
	#10		rst_n=1'b1;
	
	#10		din=8'b1011_0100; txd_rxd=1'b1; en=1'b1;
	
	#10000		txd_rxd=1'b0; en=1'b1; read=1'b0;
	#576		read=1'b0;
	#576		read=1'b1;
	#576		read=1'b1;
	#576		read=1'b0;
	#576		read=1'b1;
	#576		read=1'b0;
	#576		read=1'b0;
	#576		read=1'b1;
	
	
	#20000	$finish;
	
	end
	
	always #1 clk<=~clk;
	
	initial begin
		$dumpfile ("F:/Robei_competition_common_ip/communication_protocol_type/UART_drive/uart_ip_tb.vcd");
		$dumpvars;
	end
	//---Module instantiation---
	uart_ctrl uart_ctrl1(
		.clk(clk),
		.rst_n(rst_n),
		.txd_rxd(txd_rxd),
		.write(write),
		.rx_sig(rx_sig),
		.read(read),
		.din(din),
		.dout(dout),
		.en(en));

endmodule    //uart_ip_tb

